Difference between revisions of "Upgrade to 8.6 fails with "Error: assertion '-r/opt/zimbra/conf/my.cnf' failed""

(Created page with "===<h1>Upgrade to 8.6 fails with "Error: assertion '-r /opt/zimbra/conf/my.cnf' failed"</h1>=== <hr> <br> <h2>Problem:</h2> Getting an error as failed to start slapd when run...")
(No difference)

Revision as of 06:12, 17 August 2017

Upgrade to 8.6 fails with "Error: assertion '-r /opt/zimbra/conf/my.cnf' failed"



Problem:

Getting an error as failed to start slapd when running zmcontrol start command as zimbra user after complete installation and restarting the system.

In /var/log/zimbra.log

Error: assertion '-r /opt/zimbra/conf/my.cnf' failed

Solution:

This usually comes up when the store package is selected to be upgraded on a non-mailbox server.

For example if the server contains only the LDAP server on 8.0.8, and then during upgrade the mailbox store component is selected, the error comes up and the upgrade does not continue.

To fix this, remove the zimbra-store package using the OS' package manager.

For example, on Redhat/CentOS systems, first get the mailbox package name :

rpm -qa | grep zimbra-store

And then remove it:

rpm -e <package-name>


Shashank Tewari

<stewari@zimbra.com>

Jump to: navigation, search